## eole-debsums 2.10.0-3

=== debian/changelog ===
eole-debsums (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [3ab16c9] skeletorisation (ref #36844)

  [ EOLE Build Daemon ]
  * [031f058] Emmanuel Garette: Update package since “debian/eole/2.10.0-2”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 20 May 2025 13:54:45 +0200

eole-debsums (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [7defd9f] skeletorisation (ref #36844)
  * [cafd651] skeletorisation (ref #36844)
  * [e30e8e0] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [c255743] Emmanuel Garette: Update package since “debian/eole/2.10.0-1”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 20 May 2025 13:52:34 +0200

eole-debsums (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [706aae7] Prepare release 2.10.0
  * [0b82de2] Merge branch 'master' into dist/eole/2.10.0/master

  [ Emmanuel Garette ]
  * [f8e39ee] passer la compatibilité debian à 13 (ref #36835)
  * [b8c9f0f] ne plus utiliser pkg_resources (ref #36835)
  * [52a1f7f] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [766a59d] Emmanuel Garette: Update package since “debian/eole/2.9.0-2”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 06 May 2025 10:42:12 +0200

=== debian/control ===
Source: eole-debsums
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Section: admin
Priority: extra
Build-Depends: debhelper (>= 9),
               python3-all-dev,
               python3-setuptools,
	       dh-python,
               python3-pytest
Standards-Version: 3.9.3
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-debsums/repository
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-debsums
Homepage: http://eole.orion.education.fr/diff/

Package: eole-debsums
Architecture: all
Depends: ${misc:Depends},
	 ${python:Depends},
	 debsums,
	 python3-pyeole,
Description: Check MD5 checksums of debian packages
 A report of modified packages with their files is automatically
 generated.
 .
 Configuration files are ignored.
 .
 This package provides a script and a cron task to check MD5 checksums
 of debian packages with debsums.

Package: eole-debsums-zephir-agent
Architecture: all
Depends: eole-debsums (= ${binary:Version}),
         zephir-client,
         ${python:Depends},
         ${misc:Depends}
Description: Check MD5 checksums of debian packages - zéphir agent
 A report of modified packages with their files is automatically
 generated.
 .
 Configuration files are ignored.
 .
 This package provide an agent for the EOLE zéphir infrastructure.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

export PYBUILD_DISABLE_python3=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	make DESTDIR=debian/tmp install
	dh_auto_install

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_auto_install override_dh_builddeb

## eole-debsums 2.10.0-6

=== Makefile ===
################################
# Makefile pour eole-debsums
################################

SOURCE=eole-debsums
EOLE_VERSION=2.10
EOLE_RELEASE=2.10.0

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-debsums (2.10.0-6) eole-2.10.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [5016546] Révision du packaging des sous-modules
  * [e0a4a4a] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [30c7431] Benjamin Bohard: Update package since “debian/eole/2.10.0-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 04 Jun 2025 10:39:09 +0200

eole-debsums (2.10.0-5) eole-2.10.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [fd1e89a] Révision du packaging pour l’installation des sous-modules

  [ EOLE Build Daemon ]
  * [db32777] Benjamin Bohard: Update package since “debian/eole/2.10.0-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 04 Jun 2025 10:10:05 +0200

eole-debsums (2.10.0-4) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [bce9d39] Create eole-debsums-tests debian package
  * [2c85b10] Declare tests directory in Makefile
  * [b016cb7] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [bcbf548] Joël Cuissinat: Update package since “debian/eole/2.10.0-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 26 May 2025 15:34:26 +0200

=== debian/control ===
--- 
+++ 
@@ -39,4 +39,17 @@
  .
  Configuration files are ignored.
  .
- This package provide an agent for the EOLE zéphir infrastructure.
+ This package provides an agent for the EOLE zéphir infrastructure.
+
+Package: eole-debsums-tests
+Architecture: all
+Depends: eole-debsums,
+         python3-pytest,
+         ${misc:Depends}
+Description: pytest files for eole-debsums
+  A report of modified packages with their files is automatically
+ generated.
+ .
+ Configuration files are ignored.
+ .
+ This package provides pytest files for eole-debsums project

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 # export DH_OPTIONS=-v
 
 export PYBUILD_DISABLE_python3=test
+export PYBUILD_INSTALL_ARGS=--install-lib=/usr/lib/python3/dist-packages
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
